From 6729c867eb08771a7c352b4bc7fb3091c1dec748 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 08:26:13 +0200
Subject: [PATCH 18/34] Fix aruments in g_slurm_auth_unpack()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 745d477cd2..bccdfec29a 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -3660,7 +3660,7 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 		      __func__);
 	}
 
-	if (!(auth_cred = g_slurm_auth_unpack(buffer, header.version))) {
+	if (!(auth_cred = g_slurm_auth_unpack(buffer))) {
 		error("%s: auth_g_unpack: %m", __func__);
 		free_buf(buffer);
 		rc = ESLURM_PROTOCOL_INCOMPLETE_PACKET;
-- 
2.35.3


